import java.io.FileNotFoundException;

public class test2 {
	// Test for test_2.fsm checking for basic level opacity verification.
	public static void main(String[] args) throws FileNotFoundException{
		
		FSM fsm = new FSM("test_2.fsm");
		System.out.println("Initial FSM: ");
		fsm.print_FSM();
		System.out.println();
	
		System.out.println("Initial State: " + fsm.initialStateList.get(0).get_name());
		
		//fsm.state_map.get("state1").secret = true;
		//fsm.state_map.get("state2").secret = true;
		//fsm.state_map.get("state3").secret = true;
		//fsm.state_map.get("state4").secret = true;
		
		CurrentStateEstimator cse = new CurrentStateEstimator(fsm, "test.states");
		System.out.println("Number of states in cse: " + cse.numberOfStates);
		System.out.println(cse.isCurrentStateOpaque());
		
		cse.printEstimator();
	}
	
}
